package strangepatterns.nullobject;

import java.util.Locale;
import java.math.BigDecimal;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class Main {
  public Main() {
  }

  public static Locale getLocaleCapoGruppo() {
    return java.util.Locale.getDefault();
  }

  public static void testEuropean() {
    ConversionPolicy conv = ConversionPolicyProvider.getInstance().
        getCurrencyConversionPolicyFor(Locale.FRANCE);
    conv.setOriginalData(new BigDecimal(Math.random() * 100));
    conv.convert();
  }

  public static void testCapoGruppo() {
    ConversionPolicy conv = ConversionPolicyProvider.getInstance().
        getCurrencyConversionPolicyFor(getLocaleCapoGruppo());
    conv.setOriginalData(new BigDecimal(Math.random() * 100));
    conv.convert();
  }

  public static void testWrongLocale() {
    ConversionPolicy conv = null;
    try {
      conv = ConversionPolicyProvider.getInstance().
          getCurrencyConversionPolicyFor(Locale.CHINA);
    }
    catch (RuntimeException exc) {
      System.err.println("Nazione non supportata!...");
      return;
    }
    conv.setOriginalData(new BigDecimal(Math.random() * 100));
    conv.convert();
  }

  public static void main(String[] args) {
    testEuropean();
    testCapoGruppo();
    testWrongLocale();
  }

} //END